## ros-one-jsk-rosbag-tools 2.2.16-15jammy.20260116.2108

=== debian/changelog ===
ros-one-jsk-rosbag-tools (2.2.16-15jammy.20260116.2108) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 21:08:47 +0000

ros-one-jsk-rosbag-tools (2.2.16-0jammy) jammy; urgency=high

  * [ROS-O] fix for ROS-O (#1802 <https://github.com/jsk-ros-pkg/jsk_common/issues/1802>)
    
      * jsk_rosbag_tools: use requirements.in.python3.12  for python3.12 (ubuntu 24.04)
      * jsk_rosbag_tools/CMakeLists.txt: $ENV{ROS_DISTRO} -. "$ENV{ROS_DISTRO}" for 24.04, which does not have ROS_DISTRO environment
    
  * Contributors: Kei Okada

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Mon, 06 Jan 2025 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.15-0jammy) jammy; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 13 Dec 2024 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.14-0jammy) jammy; urgency=high

  * [jsk_rosbag_tools][ros-o] only use STREQUAL to compare ROS_DISTRO in cmake (#1807 <https://github.com/jsk-ros-pkg/jsk_common/issues/1807>)
  * .github/forkflows/config.yml: add ROS-O test (#1809 <https://github.com/jsk-ros-pkg/jsk_common/issues/1809>)
  * [jsk_rosbag_tools] Fixed pillow version (#1799 <https://github.com/jsk-ros-pkg/jsk_common/issues/1799>)
  * Contributors: Iori Yanokura, Yoshiki Obinata

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2024 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.13-0jammy) jammy; urgency=high

  * [jsk_rosbag_tools] Use python3-catkin-pkg-modules when python3 is used (#1784 <https://github.com/jsk-ros-pkg/jsk_common/issues/1784>)
    
      * [jsk_rosbag_tools] Use python3-catkin-pkg-modules when python3 is used
    
  * set python2 for jsk_rosbag_tools (#1781 <https://github.com/jsk-ros-pkg/jsk_common/issues/1781>)
    
      * set numpy version for python3
      * split requirements.in for python2 and 3
      * set scipy<1.9.0 to avoid build error with openblas
        https://github.com/scipy/scipy/issues/16308
      * install scipy to avoid numpy attribute error
    
  * catch StopIteration when all images do not have stamp (#1767 <https://github.com/jsk-ros-pkg/jsk_common/issues/1767>)
  * jsk_rosbag_tools: version of jsk_common is 2.2.12 (#1751 <https://github.com/jsk-ros-pkg/jsk_common/issues/1751>)
  * [jsk_rosbag_tools] Fixed a bug when the specified fps is less than the fps of the topic in rosbag. (#1750 <https://github.com/jsk-ros-pkg/jsk_common/issues/1750>)
  * Add jsk_rosbag_tools package (#1738 <https://github.com/jsk-ros-pkg/jsk_common/issues/1738>)
  * [jsk_rosbag_tools] Add descriptions for static_tf_republisher.py.
  * [jsk_rosbag_tools] Enable catkin_virtualenv for pip dependencies
  * [jsk_rosbag_tools] Specify python version
  * [jsk_rosbag_tools] logerr subprocess command if failed
  * [jsk_rosbag_tools] Split test to avoid indigo's error
  * [jsk_rosbag_tools] Drop installation of requirements.in and requirements.txt
  * [jsk_rosbag_tools] Add dependencies of download data
  * [jsk_rosbag_tools] Refactor test to print command log
  * [jsk_rosbag_tools] Avoid raise ValueError on invalid compressed format.
  * [jsk_rosbag_tools] Add resize_keeping_aspect_ratio_wrt_target_size to fix video
  * [jsk_rosbag_tools] Fixed W503 line break before binary operator
  * [jsk_rosbag_tools] Fixed E226 missing whitespace around arithmetic operator
  * [jsk_rosbag_tools] Add show_progress_bar option
  * [jsk_rosbag_tools] Add .wav ext
  * [jsk_rosbag_tools] Add fps option
  * [jsk_rosbag_tools] Add message to raise
  * [jsk_rosbag_tools] Resize every frame
  * [jsk_rosbag_tools] Fix bug when saving to local path with --image-topic
  * [jsk_rosbag_tools] Allow to record mono8 topics for mask images
  * [jsk_rosbag_tools] Fixed compr_type condition
  * [jsk_rosbag_tools] Check topic exists
  * [jsk_rosbag_tools] Fixed W503 line break before binary operator
  * [jsk_rosbag_tools] Rename extract_audio to bag_to_audio
  * [jsk_rosbag_tools] Fixed E225 missing whitespace around operator
  * [jsk_rosbag_tools] Decompress as much as possible
  * [jsk_rosbag_tools] Refactor dependencies
  * [jsk_rosbag_tools] Enable python2 compatibility
  * [jsk_rosbag_tools] Add shebang
  * [jsk_rosbag_tools] chmod u+x test_jsk_rosbag_tools.py
  * [jsk_rosbag_tools] Add bag_to_audio.py
  * [jsk_rosbag_tools] Makedirs in extract_audio
  * [jsk_rosbag_tools] Include AudioFileClip and VideoFileClip to prevent calling pygame.init()
  * [jsk_rosbag_tools] chmod u+x
  * [jsk_rosbag_tools] Fixed sample docs
  * [jsk_rosbag_tools] Fixed bag to video docs
  * [jsk_rosbag_tools] Import AudioFileClip and VideoFileClip
  * [jsk_rosbag_tools] Use library's function
  * [jsk_rosbag_tools] Seperate bag_to_video function as library
  * [jsk_rosbag_tools] Add topic_name_to_file_name
  * [jsk_rosbag_tools] Add makedirs library for python2
  * [jsk_rosbag_tools] Set time-limit to 360.0
  * [jsk_rosbag_tools] Modified sample bagfile to reduce test time
  * [jsk_rosbag_tools] Set version to 2.2.11
  * [jsk_rosbag_tools] Drop catkin virtualenv
  * Add jsk_rosbag_tools package
  * Contributors: Guilherme Affonso, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa, Iory Yanokura

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Thu, 09 Nov 2023 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.12-0jammy) jammy; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Tue, 07 Jun 2022 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.11-0jammy) jammy; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 10 Jul 2020 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.10-0jammy) jammy; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.9-0jammy) jammy; urgency=high



 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-one-jsk-rosbag-tools (2.2.8-0jammy) jammy; urgency=high




