## ros-one-jsk-rosbag-tools 2.2.16-15jammy.20260207.2143

=== debian/changelog ===
ros-one-jsk-rosbag-tools (2.2.16-15jammy.20260207.2143) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:43:41 +0000
