=== debian/changelog ===
ros-one-jsk-rosbag-tools (2.2.16-15noble.20260207.2144) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:44:31 +0000
