=== debian/control ===
Source: ros-one-jsk-rosbag-tools
Section: misc
Priority: optional
Maintainer: Iori Yanokura <yanokura@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libjpeg-dev, libwebp-dev, python3-catkin-pkg-modules, ros-one-catkin, ros-one-catkin-virtualenv (>= 0.5.1)
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-jsk-rosbag-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, python3-numpy, python3-rospkg-modules, python3-scipy, python3-setuptools, python3-termcolor, python3-tqdm, python3-yaml, ros-one-audio-common-msgs, ros-one-cv-bridge, ros-one-sensor-msgs
Description: The rosbag tools
